For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a relationship

A relationship between two entities can be created by populating the parentRelationship array when creating an entity, or by using the create relationship endpoint.

Create relationship

POST https://ris.rightsline.com/v4/relationship

This endpoint allows you to create a new relationship between entities.

Headers

Name
Type
Description

x-api-key

string

Your company's API key.

Authentication

string

Authentication token.

Request Body

Name
Type
Description

parentRecordId*

number

The ID of the parent record.

parentCharTypeId*

number

The char type ID of the parent record.

childRecordId*

number

The ID of the child record.

childCharTypeId*

number

The char type ID of the child record.

5545562  // relationship ID
{
    "message": "Invalid Relationship"
}
{
    "message": "Parent deal 104689890 does not exist". //or 'Child deal'
}
{
    "message": "Acls don't provide create relationship rights for 4/2."
}

Examples

1. Create catalog to rights relationship

POST /v4/relationship
{
    "parentRecordId": 100,
    "parentCharTypeId": 1,
    "childRecordId": 23,
    "childCharTypeId": 3
}

2. Create catalog to catalog relationship

Last updated

Was this helpful?